aboutsummaryrefslogtreecommitdiffstats
path: root/core/iproute2/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-02-18 15:31:41 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-02-18 15:31:41 +0000
commit314c08a776860971c7d4eaf84857ddc8836be948 (patch)
treeea7b499f2332091f82138ed0507fb3dbd4461405 /core/iproute2/APKBUILD
parenta52d9d5cbdaf46c8e4d35f763ef33c2a763324ca (diff)
downloadaports-314c08a776860971c7d4eaf84857ddc8836be948.tar.gz
aports-314c08a776860971c7d4eaf84857ddc8836be948.tar.bz2
aports-314c08a776860971c7d4eaf84857ddc8836be948.tar.xz
core/iproute2: new aport
IP Routing Utilities http://www.linux-foundation.org/en/Net:Iproute2
Diffstat (limited to 'core/iproute2/APKBUILD')
-rw-r--r--core/iproute2/APKBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/core/iproute2/APKBUILD b/core/iproute2/APKBUILD
new file mode 100644
index 0000000000..1fc5e534ea
--- /dev/null
+++ b/core/iproute2/APKBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=iproute2
+pkgver=2.6.28
+pkgrel=0
+pkgdesc="IP Routing Utilities"
+url="http://www.linux-foundation.org/en/Net:Iproute2"
+license="GPL2"
+depends="uclibc"
+makedepends=""
+subpackages="$pkgname-doc"
+source="http://devresources.linux-foundation.org/dev/$pkgname/download/$pkgname-$pkgver.tar.bz2"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+
+ sed -i '/^TARGETS=/s: arpd : :' misc/Makefile
+ sed -i 's:/usr/local:/usr:' tc/m_ipt.c include/iptables.h || return 1
+ sed -i 's:=/share:=/usr/share:' Makefile || return 1
+ sed -i 's:=/sbin:=/usr/sbin:' Makefile || return 1
+ sed -i 's:/lib/tc:/usr/lib/tc:' netem/Makefile || return 1
+
+
+ ./configure || return 1
+ make CCOPTS="-D_GNU_SOURCE $CFLAGS" LIBDIR=/usr/lib || return 1
+ make DESTDIR="$pkgdir" install
+}
+md5sums="595f9b17320f69e8d30d2fa80f1bca14 iproute2-2.6.28.tar.bz2"